<?php

class Bootstrap extends Zend_Application_Bootstrap_Bootstrap {
	protected function _initDoctype() {
		$loader = new Zend_Loader_Autoloader_Resource ( array ('basePath' => APPLICATION_PATH, 'namespace' => 'Application' ) );
		$loader->addResourceType ( 'model', 'models', 'Model' )->addResourceType ( 'form', 'forms', 'Form' )
		->addResourceType ('class', 'classes', 'Class' );
	
	
		// pridani podpory pro locale
		$this->initLocale();

	}
	
	public function initLocale() {
		$localeValue = 'cs';
		$locale = new Zend_Locale ( $localeValue );
		Zend_Registry::set ( 'Zend_Locale', $locale );
		$translationFile = APPLICATION_PATH . DIRECTORY_SEPARATOR . 'lang' . DIRECTORY_SEPARATOR . $localeValue . '.inc.php';
		$translate = new Zend_Translate ( 'array', $translationFile, $localeValue );
		Zend_Registry::set ( 'Zend_Translate', $translate );
	}

}

